###

#

Algorithms and Utility Functions
Pixel

Pixel algorithms, metafunctions and utility functions. More...

## Classes

struct | default_color_converter
| class for color-converting one pixel to another More...
struct | pixels_are_compatible< P1, P2 >
| Returns whether two pixels are compatible Pixels are compatible if their channels and color space types are compatible. Compatible pixels can be assigned and copy constructed from one another. More...

## Functions

template<typename SrcP , typename DstP >
void | color_convert (const SrcP &src, DstP &dst)
| helper function for converting one pixel to another using GIL default color-converters where ScrP models HomogeneousPixelConcept DstP models HomogeneousPixelValueConcept

## Detailed Description

Pixel algorithms, metafunctions and utility functions.

Since pixels model the ColorBaseConcept, all color-base related algorithms also apply to pixels. See Algorithms and Utility Functions for more.